Edit a Report Distribution
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| reportDistributionId | Id of the report distribution to edit | integer (int32) | Required |
Request Body
ReportDistributionEditRequest
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| dayIndicatorValue | Indicates when to send the report for the given schedule type Values may be: Daily: 0 Weekly: Day of Week - 0 (Sunday) to 6 (Saturday) Monthly: Day of Month - 1 to 28 Quarterly: Month in Quarter - 1, 2, or 3 Must be between 0 and 28 Required | integer (int32) | ||||||||||||
| emailMessage | The body of the email Required | string | ||||||||||||
| emailSubject | The subject line of the email Must be between 0 and 255 characters Required | string | ||||||||||||
| enabled | Indicates if the report distribution is currently enabled Required | boolean | ||||||||||||
| onlySendIfData | Indicates whether or not to email a report if it contains no data. When set to true, the subscribed report will not be emailed, if the report does not contain data. When set to false, if the requested report has no data, it will still be sent. Required | boolean | ||||||||||||
| recipientUserGroupIds | The id of each user group that should receive the report Cannot be Empty Required | integer[] | ||||||||||||
| replyToEmail | The email address the receiver should reply to Must be between 0 and 128 characters Required (defined) | string | ||||||||||||
| reportDistributionName | The name of the report distribution Must be between 0 and 255 characters Required | string | ||||||||||||
| reportFilters | List of filters to apply to the report Required | FilterEdit[] | ||||||||||||
|
FilterEdit properties
|
||||||||||||||
| reportFormat | The format in which the generated report should be downloaded Required One of ‘Excel’, ‘Excel data only’, ‘Csv’, ‘PDF’, ‘Word’ | string | ||||||||||||
| reportSubscriptionScheduleTypeId | The schedule type of the report Values may be: Daily: 1 Weekly: 2 Monthly: 3 Quarterly: 4 Required One of ‘1’, ‘2’, ‘3’, ‘4’ Case sensitive | integer (int32) | ||||||||||||
Example Request Body
{ "dayIndicatorValue": 1, "emailMessage": "string", "emailSubject": "string", "enabled": false, "onlySendIfData": false, "recipientUserGroupIds": [
1
], "replyToEmail": "string", "reportDistributionName": "string", "reportFilters": [
{ "fieldId": 1, "operator": "string", "value": "string"
}
], "reportFormat": "string", "reportSubscriptionScheduleTypeId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ReportDistributionDetailsResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| baseReport | ReportChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdByUser | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the report distribution was created | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| emailSettings | ReportDistributionEmailSettings | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportDistributionEmailSettings properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| enabled | Indicates if the report distribution is currently enabled | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastRunDate | Last time the report distribution was run | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedByUser | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| nextRunDate | Next time the report distribution will run | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportDistributionId | The id of the report distribution | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportDistributionName | The name of the report distribution | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportId | The id of the report being distributed | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "baseReport": { "description": "string", "exportFormats": [
{ "exportFormatInfo": "string", "preferred": false
}
], "isLandscape": false, "lastUpdated": "2026-03-30", "reportCode": "string", "reportId": 1, "reportInfo": "string", "reportSource": "string", "reportType": { "reportTypeCode": "string", "reportTypeId": 1, "reportTypeInfo": "string"
}, "tags": [
{ "tagTypeId": 1, "tagTypeInfo": "string", "values": []
}
], "version": "string"
}, "createdByUser": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "emailSettings": { "dayIndicator": { "dayIndicatorInfo": "string", "dayIndicatorValue": 1
}, "emailMessage": "string", "emailSubject": "string", "onlySendIfData": false, "recipientUserGroups": [
{ "userGroupId": 1, "userGroupName": "string"
}
], "replyToEmail": "string", "reportFormat": "string", "scheduleType": { "reportSubscriptionScheduleTypeId": 1, "reportSubscriptionScheduleTypeName": "string"
}
}, "enabled": false, "lastRunDate": "2026-03-30", "modifiedByUser": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "nextRunDate": "2026-03-30", "reportDistributionId": 1, "reportDistributionName": "string", "specificReportId": 1
}